Bug 1964427 (CVE-2021-3565) - CVE-2021-3565 tpm2-tools: fixed AES wrapping key in tpm2_import
Summary: CVE-2021-3565 tpm2-tools: fixed AES wrapping key in tpm2_import
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2021-3565
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1964428 1964429 1965981 1965982
Blocks: 1964113 1964430
TreeView+ depends on / blocked
 
Reported: 2021-05-25 13:26 UTC by Guilherme de Almeida Suckevicz
Modified: 2022-04-17 21:25 UTC (History)
6 users (show)

Fixed In Version: tpm2-tools 5.1.1, tpm2-tools 4.3.2
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in tpm2-tools. tpm2_import used a fixed AES key for the inner wrapper, potentially allowing a MITM attacker to unwrap the inner portion and reveal the key being imported. The highest threat from this vulnerability is to data confidentiality.
Clone Of:
Environment:
Last Closed: 2021-11-10 00:22:26 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2021:4413 0 None None None 2021-11-09 18:41:56 UTC

Description Guilherme de Almeida Suckevicz 2021-05-25 13:26:14 UTC
During tpm2_import command invocation a fixed AES wrapping key is used. This presents a weakness in that, when no encrypted session with the TPM is used, the encrypted inner wrapper key is known and thus an entity performing an MITM on the TPM would be able to unwrap the inner portion and reveal the key being imported.

Comment 1 Guilherme de Almeida Suckevicz 2021-05-25 13:27:05 UTC
Created tpm2-tools tracking bugs for this issue:

Affects: epel-7 [bug 1964429]
Affects: fedora-all [bug 1964428]

Comment 5 errata-xmlrpc 2021-11-09 18:41:54 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2021:4413 https://access.redhat.com/errata/RHSA-2021:4413

Comment 6 Product Security DevOps Team 2021-11-10 00:22:24 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-3565


Note You need to log in before you can comment on or make changes to this bug.